de.esprit.appsuite.appstore.ndf

## Class AppVersion

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.appstore.ndf.AppVersion

- All Implemented Interfaces:
    Dumpable

      public final class AppVersion
      extends DumpableObject

  This class describes a particular version of an application that is maintained by the `AppCacheManager`. It defines the launch-path where the `AppDescriptor` can be found for launching the application.
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `appVersionsFileName`
    `static java.lang.String` | `columnIsCurrent`
    `static java.lang.String` | `columnIsRequired`
    `static java.lang.String` | `columnProperty`
    `static java.lang.String` | `columnVersionDir`
    `static java.lang.String` | `docTypeAppVersions`
    `static java.lang.String` | `tableAppDescriptorCustomProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppVersion(App app, java.lang.String versionDirName, boolean isCurrent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppDescriptor` | `getAppDescriptor()`
    `java.lang.String` | `getAppDirName()`
    `java.lang.String` | `getAppDisplayName()`
    `java.lang.String` | `getAppInfo()`
    `java.util.Set<java.lang.String>` | `getCustomPropertyNames()`
    `java.lang.String` | `getVersionDirName()`
    `java.lang.String` | `getVersionPath()`
    `boolean` | `isCurrent()`
    `boolean` | `isCustomPropertyRequired(java.lang.String propertyName)`
    `static void` | `readAppVersions(ApplicationContext ctx, java.io.File baseDir, App app)`
    `void` | `setAppDescriptor(AppDescriptor appDescriptor)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### docTypeAppVersions

          public static final java.lang.String docTypeAppVersions

      See Also:
        Constant Field Values

    - #### appVersionsFileName

          public static final java.lang.String appVersionsFileName

      See Also:
        Constant Field Values

    - #### tableAppDescriptorCustomProperties

          public static final java.lang.String tableAppDescriptorCustomProperties

      See Also:
        Constant Field Values

    - #### columnIsCurrent

          public static final java.lang.String columnIsCurrent

      See Also:
        Constant Field Values

    - #### columnVersionDir

          public static final java.lang.String columnVersionDir

      See Also:
        Constant Field Values

    - #### columnProperty

          public static final java.lang.String columnProperty

      See Also:
        Constant Field Values

    - #### columnIsRequired

          public static final java.lang.String columnIsRequired

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AppVersion

          public AppVersion(App app,
                    java.lang.String versionDirName,
                    boolean isCurrent)

  - ### Method Detail

    - #### setAppDescriptor

          public final void setAppDescriptor(AppDescriptor appDescriptor)

    - #### getAppDescriptor

          public final AppDescriptor getAppDescriptor()

    - #### getAppDirName

          public final java.lang.String getAppDirName()

    - #### getAppDisplayName

          public final java.lang.String getAppDisplayName()

    - #### getAppInfo

          public final java.lang.String getAppInfo()

    - #### getVersionDirName

          public final java.lang.String getVersionDirName()

    - #### getVersionPath

          public final java.lang.String getVersionPath()

    - #### isCurrent

          public final boolean isCurrent()

    - #### getCustomPropertyNames

          public final java.util.Set<java.lang.String> getCustomPropertyNames()

    - #### isCustomPropertyRequired

          public final boolean isCustomPropertyRequired(java.lang.String propertyName)

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public final DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

    - #### readAppVersions

          public static void readAppVersions(ApplicationContext ctx,
                             java.io.File baseDir,
                             App app)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.